## ros-bouncy-rviz-default-plugins 4.0.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(rviz_default_plugins)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

option(EnableDisplayTests "EnableDisplayTests")
set(DisplayTests "False" CACHE STRING "DisplayTestsVariable")
option(EnableVisualTests "decides whether or not to enable the tests")

add_definitions(-D_BUILD_DIR_PATH="${CMAKE_CURRENT_BINARY_DIR}")
add_definitions(-D_SRC_DIR_PATH="${CMAKE_CURRENT_SOURCE_DIR}")

file(MAKE_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/test_images)
file(MAKE_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/test/reference_images)

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic -Werror)
endif()

# Qt5 boilerplate options from http://doc.qt.io/qt-5/cmake-manual.html
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)

find_package(ament_cmake REQUIRED)

find_package(rviz_common REQUIRED)
find_package(rviz_rendering REQUIRED)
find_package(rviz_ogre_vendor REQUIRED)
find_package(rviz_visual_testing_framework REQUIRED)

find_package(Qt5 REQUIRED COMPONENTS Widgets Test)

find_package(geometry_msgs REQUIRED)
find_package(laser_geometry REQUIRED)
find_package(map_msgs REQUIRED)
find_package(nav_msgs REQUIRED)
find_package(pluginlib REQUIRED)
find_package(rclcpp REQUIRED)
find_package(resource_retriever REQUIRED)
find_package(tinyxml_vendor REQUIRED)
find_package(TinyXML REQUIRED)  # provided by tinyxml_vendor
find_package(urdf REQUIRED)
find_package(visualization_msgs REQUIRED)

# These need to be added in the add_library() call so AUTOMOC detects them.
set(rviz_default_plugins_headers_to_moc
  include/rviz_default_plugins/displays/camera/camera_display.hpp
  include/rviz_default_plugins/displays/grid/grid_display.hpp
  include/rviz_default_plugins/displays/grid_cells/grid_cells_display.hpp
  include/rviz_default_plugins/displays/image/image_display.hpp
  include/rviz_default_plugins/displays/laser_scan/laser_scan_display.hpp
  include/rviz_default_plugins/displays/map/map_display.hpp
  include/rviz_default_plugins/displays/marker/marker_common.hpp
  include/rviz_default_plugins/displays/marker/marker_display.hpp
  include/rviz_default_plugins/displays/marker_array/marker_array_display.hpp
  include/rviz_default_plugins/displays/odometry/odometry_display.hpp
  include/rviz_default_plugins/displays/path/path_display.hpp
  include/rviz_default_plugins/displays/point/point_stamped_display.hpp
  include/rviz_default_plugins/displays/pointcloud/point_cloud_common.hpp
  include/rviz_default_plugins/displays/pointcloud/point_cloud_display.hpp
  include/rviz_default_plugins/displays/pointcloud/point_cloud2_display.hpp
  include/rviz_default_plugins/displays/pointcloud/point_cloud_transformer.hpp
  include/rviz_default_plugins/displays/pointcloud/point_cloud_transformer_factory.hpp
  include/rviz_default_plugins/displays/pointcloud/point_cloud_helpers.hpp
  include/rviz_default_plugins/displays/pointcloud/transformers/axis_color_pc_transformer.hpp
  include/rviz_default_plugins/displays/pointcloud/transformers/flat_color_pc_transformer.hpp
  include/rviz_default_plugins/displays/pointcloud/transformers/intensity_pc_transformer.hpp
  include/rviz_default_plugins/displays/pointcloud/transformers/rgb8_pc_transformer.hpp
  include/rviz_default_plugins/displays/pointcloud/transformers/rgbf32_pc_transformer.hpp
  include/rviz_default_plugins/displays/polygon/polygon_display.hpp
  include/rviz_default_plugins/displays/pose/pose_display.hpp
  include/rviz_default_plugins/displays/pose_array/pose_array_display.hpp
  include/rviz_default_plugins/displays/robot_model/robot_model_display.hpp
  include/rviz_default_plugins/displays/tf/frame_info.hpp
  include/rviz_default_plugins/displays/tf/tf_display.hpp
  include/rviz_default_plugins/robot/robot.hpp
  include/rviz_default_plugins/robot/robot_joint.hpp
  include/rviz_default_plugins/robot/robot_link.hpp
  include/rviz_default_plugins/robot/robot_element_base_class.hpp
  include/rviz_default_plugins/tools/measure/measure_tool.hpp
  include/rviz_default_plugins/tools/nav_goal/goal_tool.hpp
  include/rviz_default_plugins/tools/pose/pose_tool.hpp
  include/rviz_default_plugins/tools/point/point_tool.hpp
  include/rviz_default_plugins/view_controllers/orbit/orbit_view_controller.hpp
  include/rviz_default_plugins/view_controllers/ortho/fixed_orientation_ortho_view_controller.hpp
  include/rviz_default_plugins/view_controllers/xy_orbit/xy_orbit_view_controller.hpp
)

set(rviz_default_plugins_source_files
  src/rviz_default_plugins/displays/camera/camera_display.cpp
  src/rviz_default_plugins/displays/grid/grid_display.cpp
  src/rviz_default_plugins/displays/grid_cells/grid_cells_display.cpp
  src/rviz_default_plugins/displays/image/image_display.cpp
  src/rviz_default_plugins/displays/image/ros_image_texture.cpp
  src/rviz_default_plugins/displays/laser_scan/laser_scan_display.cpp
  src/rviz_default_plugins/displays/map/map_display.cpp
  src/rviz_default_plugins/displays/map/palette_builder.cpp
  src/rviz_default_plugins/displays/map/swatch.cpp
  src/rviz_default_plugins/displays/marker/markers/arrow_marker.cpp
  src/rviz_default_plugins/displays/marker/markers/line_list_marker.cpp
  src/rviz_default_plugins/displays/marker/markers/line_marker_base.cpp
  src/rviz_default_plugins/displays/marker/markers/line_strip_marker.cpp
  src/rviz_default_plugins/displays/marker/markers/marker_base.cpp
  src/rviz_default_plugins/displays/marker/markers/marker_selection_handler.cpp
  src/rviz_default_plugins/displays/marker/markers/mesh_resource_marker.cpp
  src/rviz_default_plugins/displays/marker/markers/text_view_facing_marker.cpp
  src/rviz_default_plugins/displays/marker/markers/points_marker.cpp
  src/rviz_default_plugins/displays/marker/markers/shape_marker.cpp
  src/rviz_default_plugins/displays/marker/markers/triangle_list_marker.cpp
  src/rviz_default_plugins/displays/marker/markers/marker_factory.cpp
  src/rviz_default_plugins/displays/marker/marker_common.cpp
  src/rviz_default_plugins/displays/marker/marker_display.cpp
  src/rviz_default_plugins/displays/marker_array/marker_array_display.cpp
  src/rviz_default_plugins/displays/odometry/odometry_display.cpp
  src/rviz_default_plugins/displays/path/path_display.cpp
  src/rviz_default_plugins/displays/point/point_stamped_display.cpp
  src/rviz_default_plugins/displays/pointcloud/transformers/axis_color_pc_transformer.cpp
  src/rviz_default_plugins/displays/pointcloud/transformers/flat_color_pc_transformer.cpp
  src/rviz_default_plugins/displays/pointcloud/transformers/intensity_pc_transformer.cpp
  src/rviz_default_plugins/displays/pointcloud/transformers/rgb8_pc_transformer.cpp
  src/rviz_default_plugins/displays/pointcloud/transformers/rgbf32_pc_transformer.cpp
  src/rviz_default_plugins/displays/pointcloud/transformers/xyz_pc_transformer.cpp
  src/rviz_default_plugins/displays/pointcloud/point_cloud_common.cpp
  src/rviz_default_plugins/displays/pointcloud/point_cloud_to_point_cloud2.cpp
  src/rviz_default_plugins/displays/pointcloud/point_cloud_transformer_factory.cpp
  src/rviz_default_plugins/displays/pointcloud/point_cloud_selection_handler.cpp
  src/rviz_default_plugins/displays/pointcloud/point_cloud_display.cpp
  src/rviz_default_plugins/displays/pointcloud/point_cloud2_display.cpp
  src/rviz_default_plugins/displays/polygon/polygon_display.cpp
  src/rviz_default_plugins/displays/pose/pose_display.cpp
  src/rviz_default_plugins/displays/pose/pose_display_selection_handler.cpp
  src/rviz_default_plugins/displays/pose_array/pose_array_display.cpp
  src/rviz_default_plugins/displays/pose_array/flat_arrows_array.cpp
  src/rviz_default_plugins/displays/robot_model/robot_model_display.cpp
  src/rviz_default_plugins/displays/tf/frame_info.cpp
  src/rviz_default_plugins/displays/tf/frame_selection_handler.cpp
  src/rviz_default_plugins/displays/tf/tf_display.cpp
  src/rviz_default_plugins/robot/robot.cpp
  src/rviz_default_plugins/robot/robot_joint.cpp
  src/rviz_default_plugins/robot/robot_link.cpp
  src/rviz_default_plugins/robot/robot_element_base_class.cpp
  src/rviz_default_plugins/robot/tf_link_updater.cpp
  src/rviz_default_plugins/tools/measure/measure_tool.cpp
  src/rviz_default_plugins/tools/focus/focus_tool.cpp
  src/rviz_default_plugins/tools/move/move_tool.cpp
  src/rviz_default_plugins/tools/nav_goal/goal_tool.cpp
  src/rviz_default_plugins/tools/pose/pose_tool.cpp
  src/rviz_default_plugins/tools/point/point_tool.cpp
  src/rviz_default_plugins/tools/select/selection_tool.cpp
  src/rviz_default_plugins/view_controllers/follower/third_person_follower_view_controller.cpp
  src/rviz_default_plugins/view_controllers/fps/fps_view_controller.cpp
  src/rviz_default_plugins/view_controllers/orbit/orbit_view_controller.cpp
  src/rviz_default_plugins/view_controllers/ortho/fixed_orientation_ortho_view_controller.cpp
  src/rviz_default_plugins/view_controllers/xy_orbit/xy_orbit_view_controller.cpp
)

add_library(rviz_default_plugins SHARED
  ${rviz_default_plugins_headers_to_moc}
  ${rviz_default_plugins_source_files}
)

target_include_directories(rviz_default_plugins PUBLIC
  $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
  $<INSTALL_INTERFACE:include>
  ${rviz_rendering_INCLUDE_DIRS}
  ${rviz_common_INCLUDE_DIRS}
  ${laser_geometry_INCLUDE_DIRS}
  ${nav_msgs_INCLUDE_DIRS}
  ${map_msgs_INCLUDE_DIRS}
  ${OGRE_INCLUDE_DIRS}
  ${Qt5Widgets_INCLUDE_DIRS}
  ${resource_retriever_INCLUDE_DIRS}
  ${TinyXML_INCLUDE_DIRS}
  ${urdf_INCLUDE_DIRS}
  ${visualization_msgs_INCLUDE_DIRS}
)

target_link_libraries(rviz_default_plugins
  laser_geometry::laser_geometry
  resource_retriever::resource_retriever
  rviz_common::rviz_common
)

# Causes the visibility macros to use dllexport rather than dllimport,
# which is appropriate when building the dll but not consuming it.
target_compile_definitions(rviz_default_plugins PRIVATE "RVIZ_DEFAULT_PLUGINS_BUILDING_LIBRARY")

# prevent pluginlib from using boost
target_compile_definitions(rviz_default_plugins PUBLIC "PLUGINLIB__DISABLE_BOOST_FUNCTIONS")

pluginlib_export_plugin_description_file(rviz_common plugins_description.xml)

ament_target_dependencies(rviz_default_plugins
  geometry_msgs
  laser_geometry
  nav_msgs
  map_msgs
  rclcpp
  resource_retriever
  urdf
  visualization_msgs
)

ament_export_include_directories(include)
ament_export_interfaces(rviz_default_plugins)
ament_export_dependencies(
  Qt5
  rviz_common
  geometry_msgs
  laser_geometry
  map_msgs
  nav_msgs
  rclcpp
  urdf
  visualization_msgs
)

install(
  TARGETS rviz_default_plugins
  EXPORT rviz_default_plugins
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
  INCLUDES DESTINATION include
)

install(
  DIRECTORY include/
  DESTINATION include
)

install(
  DIRECTORY "${CMAKE_SOURCE_DIR}/icons"
  DESTINATION "share/${PROJECT_NAME}"
)

if(BUILD_TESTING)
  # TODO(wjwwood): replace this with ament_lint_auto() and/or add the copyright linter back
  find_package(ament_cmake_cppcheck REQUIRED)
  find_package(ament_cmake_cpplint REQUIRED)
  find_package(ament_cmake_lint_cmake REQUIRED)
  find_package(ament_cmake_uncrustify REQUIRED)
  ament_cppcheck()
  ament_cpplint()
  ament_lint_cmake()
  ament_uncrustify()

  find_package(ament_cmake_gtest REQUIRED)
  find_package(ament_cmake_gmock REQUIRED)

  install(DIRECTORY "${CMAKE_SOURCE_DIR}/test/ogre_media_resources/test_meshes"
    DESTINATION "share/rviz_default_plugins"
    USE_SOURCE_PERMISSIONS)

  if(DEFINED ENV{DISPLAY})
    set(DISPLAYPRESENT TRUE)
  endif()

  if(APPLE OR DISPLAYPRESENT OR EnableDisplayTests STREQUAL "True")
    message(STATUS "Enabling tests requiring a display")

    find_package(sensor_msgs REQUIRED)
    find_package(visualization_msgs REQUIRED)

    set(TEST_INCLUDE_DIRS
      ${OGRE_INCLUDE_DIRS}
      ${nav_msgs_INCLUDE_DIRS}
      ${map_msgs_INCLUDE_DIRS}
      ${Qt5Widgets_INCLUDE_DIRS}
      ${rclcpp_INCLUDE_DIRS}
      ${sensor_msgs_INCLUDE_DIRS}

=== debian/changelog ===
ros-bouncy-rviz-default-plugins (4.0.2-0bionic) bionic; urgency=high

  * Fixed a bug where a laserscans greater than 1 meter do not render. (#345 <https://github.com/ros2/rviz/issues/345>) (#348 <https://github.com/ros2/rviz/issues/348>)
  * Contributors: eric1221bday, William Woodall

 -- William Woodall <william@osrfoundation.org>  Mon, 20 Aug 2018 07:00:00 -0000

ros-bouncy-rviz-default-plugins (4.0.1-0bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Thu, 28 Jun 2018 07:00:00 -0000

ros-bouncy-rviz-default-plugins (4.0.0-0bionic) bionic; urgency=high

  * Polished selection behavior. (#315 <https://github.com/ros2/rviz/issues/315>)
  * Suppressed a warning when disabling a map display. (#320 <https://github.com/ros2/rviz/issues/320>)
  * Fixed point cloud selection. (#307 <https://github.com/ros2/rviz/issues/307>)
  * Fixed a segfault for tf on Windows. (#310 <https://github.com/ros2/rviz/issues/310>)
  * Added a warning when the ``camera_info`` is missing. (#311 <https://github.com/ros2/rviz/issues/311>)
  * Polished tests and migrate or delete old tests. (#289 <https://github.com/ros2/rviz/issues/289>)
  * Migrated the map display. (#267 <https://github.com/ros2/rviz/issues/267>)
  * Migrated the Marker Array display. (#296 <https://github.com/ros2/rviz/issues/296>)
  * Migrated the 2D Nav Goal tool. (#294 <https://github.com/ros2/rviz/issues/294>)
  * Migrated the Third Person Follower View Controller. (#295 <https://github.com/ros2/rviz/issues/295>)
  * Implemented a workaround for the missing identity transform when transforming from a frame to itself. (#298 <https://github.com/ros2/rviz/issues/298>)
  * Migrated the GridCells display. (#286 <https://github.com/ros2/rviz/issues/286>)
  * Migrated the fps camera view controller. (#281 <https://github.com/ros2/rviz/issues/281>)
  * Migrated the point stamped display. (#278 <https://github.com/ros2/rviz/issues/278>)
  * Fixed the splash screen and the help panel. (#277 <https://github.com/ros2/rviz/issues/277>)
  * Migrated the odometry display. (#275 <https://github.com/ros2/rviz/issues/275>)
  * Migrated the focus tool. (#266 <https://github.com/ros2/rviz/issues/266>)
  * Homogenized behavior of rviz when a tf transform fails. (#292 <https://github.com/ros2/rviz/issues/292>)
  * Updated rviz to only use a single ros node. (#197 <https://github.com/ros2/rviz/issues/197>)
  * Migrated XYOrbit View Controller. (#282 <https://github.com/ros2/rviz/issues/282>)
  * Fixed a segfault in the selection manager tests. (#284 <https://github.com/ros2/rviz/issues/284>)
  * Fixed some of the ``plugins_description`` entities. (#285 <https://github.com/ros2/rviz/issues/285>)
  * Migrated the orthographic view controller. (#270 <https://github.com/ros2/rviz/issues/270>)
  * Migrated the measure tool. (#264 <https://github.com/ros2/rviz/issues/264>)
  * Migrated the publish point tool. (#262 <https://github.com/ros2/rviz/issues/262>)
  * Added message type to MarkerDisplay plugin description. (#252 <https://github.com/ros2/rviz/issues/252>)
  * Finished point cloud refactoring and testing. (#250 <https://github.com/ros2/rviz/issues/250>)
  * Improved visual testing framework and added visual tests. (#259 <https://github.com/ros2/rviz/issues/259>)
  * Fixed debug build on macOS. (#258 <https://github.com/ros2/rviz/issues/258>)
  * Fixed a build error for ignored qualifiers warning/error on GCC8. (#261 <https://github.com/ros2/rviz/issues/261>)
  * Migrated the select tool. (#256 <https://github.com/ros2/rviz/issues/256>)
  * Disabled Ogre deprecation warnings on Windows. (#242 <https://github.com/ros2/rviz/issues/242>)
  * Introduced visual testing framework for rviz. (#209 <https://github.com/ros2/rviz/issues/209>)
  * Fixed "display" tests and enable when the test environment allows. (#186 <https://github.com/ros2/rviz/issues/186>)
  * Migrated the LaserScan display. (#238 <https://github.com/ros2/rviz/issues/238>)
  * Restored the use of icons throughout rviz. (#235 <https://github.com/ros2/rviz/issues/235>)
  * Migrated the Path display. (#236 <https://github.com/ros2/rviz/issues/236>)
  * Migrated the pose array display. (#233 <https://github.com/ros2/rviz/issues/233>)
  * Migrated the marker display. (#229 <https://github.com/ros2/rviz/issues/229>)
  * Migrated the Pose display. (#204 <https://github.com/ros2/rviz/issues/204>)
  * Changed the default position of the camera in the RenderPanel. (#205 <https://github.com/ros2/rviz/issues/205>)
  * Migrated the RobotModel display. (#210 <https://github.com/ros2/rviz/issues/210>)
  * Fixed warnings from pluginlib. (#196 <https://github.com/ros2/rviz/issues/196>)
  * Fixed a bug which caused rviz to crash when removing a display. (#191 <https://github.com/ros2/rviz/issues/191>)
  * Refactored the Grid display. (#165 <https://github.com/ros2/rviz/issues/165>)
  * Contributors: Alessandro Bottero, Andreas Greimel, Andreas Holzner, Dirk Thomas, Martin Idel, Mikael Arguedas, Steven! Ragnarök, William Woodall, mjbogusz

 -- William Woodall <william@osrfoundation.org>  Wed, 27 Jun 2018 07:00:00 -0000

ros-bouncy-rviz-default-plugins (3.0.0-0bionic) bionic; urgency=high

  * Fixed compilation errors and runtime issues on Windows. (#175 <https://github.com/ros2/rviz/issues/175>)
  * Migrated the camera display. (#183 <https://github.com/ros2/rviz/issues/183>)
  * Migrated the tf display. (#182 <https://github.com/ros2/rviz/issues/182>)
  * Migrated the Image display. (#164 <https://github.com/ros2/rviz/issues/164>)
  * Migrated code for point cloud displays to ``rviz_default_plugins``. (#153 <https://github.com/ros2/rviz/issues/153>)
  * Fixed a bug where the PointCloud2 display was not accepting valid points. (#189 <https://github.com/ros2/rviz/issues/189>)
  * Migrated the polygon display. (#194 <https://github.com/ros2/rviz/issues/194>)
  * Contributors: William Woodall

 -- William Woodall <william@osrfoundation.org>  Wed, 07 Feb 2018 08:00:00 -0000



=== debian/control ===
Source: ros-bouncy-rviz-default-plugins
Section: misc
Priority: extra
Maintainer: William Woodall <william@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), qtbase5-dev, ros-bouncy-ament-cmake, ros-bouncy-ament-cmake-cppcheck, ros-bouncy-ament-cmake-cpplint, ros-bouncy-ament-cmake-gmock, ros-bouncy-ament-cmake-gtest, ros-bouncy-ament-cmake-lint-cmake, ros-bouncy-ament-cmake-uncrustify, ros-bouncy-ament-index-cpp, ros-bouncy-geometry-msgs, ros-bouncy-laser-geometry, ros-bouncy-map-msgs, ros-bouncy-nav-msgs, ros-bouncy-pluginlib, ros-bouncy-rclcpp, ros-bouncy-resource-retriever, ros-bouncy-rviz-common, ros-bouncy-rviz-rendering, ros-bouncy-rviz-rendering-tests, ros-bouncy-rviz-visual-testing-framework, ros-bouncy-tinyxml-vendor, ros-bouncy-urdf, ros-bouncy-visualization-msgs, ros-bouncy-ros-workspace
Homepage: https://github.com/ros2/rviz/blob/ros2/README.md
Standards-Version: 3.9.2

Package: ros-bouncy-rviz-default-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt5core5a, libqt5gui5, libqt5opengl5, libqt5widgets5, ros-bouncy-geometry-msgs, ros-bouncy-laser-geometry, ros-bouncy-map-msgs, ros-bouncy-nav-msgs, ros-bouncy-pluginlib, ros-bouncy-rclcpp, ros-bouncy-resource-retriever, ros-bouncy-rviz-common, ros-bouncy-rviz-rendering, ros-bouncy-tinyxml-vendor, ros-bouncy-urdf, ros-bouncy-visualization-msgs, ros-bouncy-ros-workspace
Description: Several default plugins for rviz to cover the basic functionality.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/bouncy/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/bouncy/setup.sh" ]; then . "/opt/ros/bouncy/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/bouncy" \
		-DAMENT_PREFIX_PATH="/opt/ros/bouncy"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/bouncy/setup.sh" ]; then . "/opt/ros/bouncy/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/bouncy/setup.sh" ]; then . "/opt/ros/bouncy/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/bouncy/setup.sh" ]; then . "/opt/ros/bouncy/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-bouncy-rviz-default-plugins//opt/ros/bouncy/lib/:$(CURDIR)/debian/ros-bouncy-rviz-default-plugins//opt/ros/bouncy/lib/$(shell dpkg-architecture -qDEB_HOST_MULTIARCH)/:/opt/ros/bouncy/lib/:/opt/ros/bouncy/lib/$(shell dpkg-architecture -qDEB_HOST_MULTIARCH)/:$(CURDIR)/debian/ros-bouncy-rviz-default-plugins//opt/ros/bouncy/opt/rviz_assimp_vendor/lib/:$(CURDIR)/debian/ros-bouncy-rviz-default-plugins//opt/ros/bouncy/opt/rviz_ogre_vendor/lib/:$(CURDIR)/debian/ros-bouncy-rviz-default-plugins//opt/ros/bouncy/opt/rviz_yaml_cpp_vendor/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/bouncy/setup.sh" ]; then . "/opt/ros/bouncy/setup.sh"; fi && \
	dh_auto_install
